cpw.mods.fml.client.modloader

## Class ModLoaderKeyBindingHandler

- java.lang.Object
- - cpw.mods.fml.client.registry.KeyBindingRegistry.KeyHandler
  - - cpw.mods.fml.client.modloader.ModLoaderKeyBindingHandler

- All Implemented Interfaces:
    ITickHandler

      public class ModLoaderKeyBindingHandler
      extends KeyBindingRegistry.KeyHandler

  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModLoaderKeyBindingHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireKeyEvent(KeyBinding kb)`
    `String` | `getLabel()` A profiling label for this tick handler
    `void` | `keyDown(EnumSet<TickType> type, KeyBinding kb, boolean end, boolean repeats)` Called when the key is first in the down position on any tick from the `KeyBindingRegistry.KeyHandler.ticks()` set.
    `void` | `keyUp(EnumSet<TickType> type, KeyBinding kb, boolean end)` Fired once when the key changes state from down to up
    `EnumSet<TickType>` | `ticks()` This is the list of ticks for which the key binding should trigger.

    - ### Methods inherited from class cpw.mods.fml.client.registry.KeyBindingRegistry.KeyHandler

      `getKeyBindings, tickEnd, tickStart`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModLoaderKeyBindingHandler

          public ModLoaderKeyBindingHandler()

  - ### Method Detail

    - #### fireKeyEvent

          public void fireKeyEvent(KeyBinding kb)

    - #### keyDown

          public void keyDown(EnumSet<TickType> type,
                     KeyBinding kb,
                     boolean end,
                     boolean repeats)

      Description copied from class: `KeyBindingRegistry.KeyHandler`
      Called when the key is first in the down position on any tick from the `KeyBindingRegistry.KeyHandler.ticks()` set. Will be called subsequently with isRepeat set to true
      Specified by:
        `keyDown` in class `KeyBindingRegistry.KeyHandler`
      Parameters:
        `type` - the type(s) of tick that fired when this key was first down
        `end` - was it an end or start tick which fired the key
        `repeats` - is it a repeat key event
      See Also:
        `KeyBindingRegistry.KeyHandler.keyUp(EnumSet, KeyBinding, boolean)`

    - #### keyUp

          public void keyUp(EnumSet<TickType> type,
                   KeyBinding kb,
                   boolean end)

      Description copied from class: `KeyBindingRegistry.KeyHandler`
      Fired once when the key changes state from down to up
      Specified by:
        `keyUp` in class `KeyBindingRegistry.KeyHandler`
      Parameters:
        `type` - the type(s) of tick that fired when this key was first down
        `end` - was it an end or start tick which fired the key
      See Also:
        `KeyBindingRegistry.KeyHandler.keyDown(EnumSet, KeyBinding, boolean, boolean)`

    - #### ticks

          public EnumSet<TickType> ticks()

      Description copied from class: `KeyBindingRegistry.KeyHandler`
      This is the list of ticks for which the key binding should trigger. The only valid ticks are client side ticks, obviously.
      Specified by:
        `ticks` in interface `ITickHandler`
      Specified by:
        `ticks` in class `KeyBindingRegistry.KeyHandler`
      See Also:
        `ITickHandler.ticks()`

    - #### getLabel

          public String getLabel()

      Description copied from interface: `ITickHandler`
      A profiling label for this tick handler